Last modified: 2012-08-04 20:48:59 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18076 - AbuseFilter schemas for PostgreSQL are out of date
AbuseFilter schemas for PostgreSQL are out of date
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
AbuseFilter (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Andrew Garrett
: patch
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2009-03-21 01:56 UTC by Brad Jorsch
Modified: 2012-08-04 20:48 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Patch against r48647 to update database schemas for PG (9.83 KB, patch)
2009-03-21 01:56 UTC, Brad Jorsch
Details

Description Brad Jorsch 2009-03-21 01:56:07 UTC
Created attachment 5947 [details]
Patch against r48647 to update database schemas for PG

The database schemas for AbuseFilter for PostgreSQL are out of date, and the "upgrade.php" hook is completely broken.

This patch fixes it for me, but I don't know whether it's the best way to do it. BTW, why does the MySQL schema use bigints all over the place, while the out-of-date PG schema uses integers?
Comment 1 Greg Sabino Mullane 2009-03-23 13:27:29 UTC
Not sure why they were using bigint - but I saw no reason to do so in the Postgres schema, as it is very unlikely that any wiki is going to have over 2 billion distinct users, 2 billion different filters, etc.
Comment 2 Greg Sabino Mullane 2009-03-23 14:19:38 UTC
Thanks for the patch, applied a slightly modified version in r48704. The indexes may still need tuning.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links